## org.eclipse.datatools.enablement.sybase.ui
Class SybaseUIPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.datatools.enablement.sybase.ui.SybaseUIPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class SybaseUIPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SybaseUIPlugin()` The constructor

Method Summary
`static org.eclipse.ui.IWorkbenchPage` `getActiveWorkbenchPage()` Get active workbench page.
`static org.eclipse.ui.IWorkbenchWindow` `getActiveWorkbenchWindow()` Get active workbench window.
`static SybaseUIPlugin` `getDefault()` Returns the shared instance
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### SybaseUIPlugin

    public SybaseUIPlugin()

  The constructor

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static SybaseUIPlugin getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getActiveWorkbenchPage

    public static org.eclipse.ui.IWorkbenchPage getActiveWorkbenchPage()

  Get active workbench page.

  This method acts as a convenience for plug-in implementors.

  Returns:
    IWorkbenchPage the workbench page for this plug-in

### getActiveWorkbenchWindow

    public static org.eclipse.ui.IWorkbenchWindow getActiveWorkbenchWindow()

  Get active workbench window.

  This method exists as a convenience for plug-in implementors.

  Returns:
    IWorkbenchWindow the workbench for this plug-in